.appWindow .titlebar {
  pointer-events: none;
  position: absolute;
  top: 0;
  width: 100%;
  height: var(--statusbar-height);
  overflow: hidden;
  z-index: 6;
}

#screen:not(.cards-view) .appWindow.active:not(.inside-edges):not(.transition-closing):not(.transition-opening) .titlebar .statusbar-shadow,
#screen.utility-tray .titlebar .statusbar-shadow {
  visibility: hidden;
}

.appWindow .titlebar .statusbar-shadow {
  height: 100%;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: bottom right;
}

#screen:not(.rocketbar-focused):not(.utility-tray):not(.locked) #statusbar.light,
.appWindow.light .titlebar .statusbar-shadow {
  filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'invert\'><feColorMatrix in=\'SourceGraphic\' color-interpolation-filters=\'sRGB\' type=\'matrix\' values=\'1 -1 0.3019 0 0 0 0.3019 0 0 0 0 0 0.3019 0 0 0 0 0 1 0\'/></filter></svg>#invert");
}

/** Bug 268: we are painting the statusbar semitransparent during
    the transition. This is a workaround to hide all statusbar copies
    to avoid the flicker. */
.appWindow[transition-state="closing"] .titlebar,
.appWindow[transition-state="opening"] .titlebar,
.appWindow[transition-state="closed"] .titlebar {
  display: none;
}

.appWindow:not(.lockScreenWindow) .titlebar .notifications-shadow {
  background-image: -moz-element(#ambient-indicator);
  width: 100%;
  position: absolute;
  top: 0;
  height: .2rem;
}

.appWindow .titlebar .titlebar-maximized {
  width: 100%;
}

/* Transitions between the maximized / minimized status bars */
.chrome + .titlebar .titlebar-maximized {
  opacity: 0;
}

.chrome.maximized + .titlebar .titlebar-maximized {
  opacity: 1;
}

.chrome + .titlebar .titlebar-minimized {
  transform: translateY(calc(var(--statusbar-height) * -1));
  opacity: 1;
}

.chrome.maximized + .titlebar .titlebar-minimized {
  opacity: 0;
}

[data-manifest-name="FTU"]:not(.bar) > .chrome + .titlebar .titlebar-minimized,
.homescreen:not(.bar) > .chrome + .titlebar .titlebar-minimized,
.lockScreenWindow:not(.bar) > .chrome + .titlebar .titlebar-minimized,
.attentionWindow:not(.bar) > .chrome + .titlebar .titlebar-minimized {
  opacity: 0;
}

[data-manifest-name="FTU"]:not(.bar) > .chrome + .titlebar .titlebar-maximized,
.homescreen:not(.bar) > .chrome + .titlebar .titlebar-maximized,
.lockScreenWindow:not(.bar) > .chrome + .titlebar .titlebar-maximized,
.attentionWindow:not(.bar) > .chrome + .titlebar .titlebar-maximized {
  opacity: 1;
}

/* Special cases */
#screen.utility-tray .appWindow .titlebar {
  visibility: hidden;
}

/* Homescreen must show the maximized status bar */
#homescreen .chrome + .titlebar .titlebar-maximized {
  opacity: 1;
}

#homescreen .chrome + .titlebar .titlebar-minimized {
  opacity: 0;
}

/* RTL View */
html[dir="rtl"] .appWindow .titlebar .statusbar-shadow {
  background-position: bottom left;
}

html[dir="rtl"] .appWindow .titlebar .titlebar-minimized {
  left: 0;
  right: unset;
}
